Subject: bug#70578: closed (Re: bug#70578: [PATCH] ; Fix python test case for testing completion with ipython)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 May 2024 09:08:01 +0000

Your bug report

#70578: [PATCH] ; Fix python test case for testing completion with ipython

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70578: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70578
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70578: [PATCH] ; Fix python test case for testing completion with ipython
From: Eli Zaretskii <[email-masked]>
To: Lin Sun <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 02 May 2024 12:06:57 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Lin Sun <[email-masked]>
> Date: Mon, 29 Apr 2024 15:36:16 +0000
> Cc: Eli Zaretskii <[email-masked]>, Liu Hui <[email-masked]>, [email-masked]
> 
> On Sat, Apr 27, 2024 at 12:10 PM kobarity <[email-masked]> wrote:
> >
> >
> > I confirmed that Lin Sun's patch fixes this issue.  I Cc'd the author
> > of this ERT as well, just in case.
> 
> Thanks for confirmation, look forward to the merging happening.

Now installed on master, and closing the bug.

Thanks.

Subject: [PATCH] ; Fix python test case for testing completion with ipython
From: Lin Sun <[email-masked]>
To: [email-masked]
Date: Fri, 26 Apr 2024 03:27:34 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
There is an error when running python-tests.el, I pasted on the tail
of this mail.

The error is caused by the test case trying testing the functions with
ipython but its subroutine didn't use the ipython as interpreter.

Changing the test interpreter will fix the issue, I attached the patch.

Please help apply the change. Thanks.

Test case error message:

Test python-shell-completion-at-point-ipython backtrace:
  call-process("python" nil t nil "-m" "jedi" "repl")
  (eql 0 (call-process python-tests-shell-interpreter nil t nil "-m" "
  (if (eql 0 (call-process python-tests-shell-interpreter nil t nil "-
...
Test python-shell-completion-at-point-ipython condition:
    (file-missing "Searching for program" "No such file or directory"
                  "python")
   FAILED  1/1  python-shell-completion-at-point-ipython (0.829918
sec) at python-tests.el:4897
From ca8d5fb6c8d8591c20ec99e00e7e63fd2c9d1151 Mon Sep 17 00:00:00 2001
From: Lin Sun <[email-masked]>
Date: Thu, 25 Apr 2024 06:54:27 +0000
Subject: [PATCH] ; Fix python test case for testing completion with ipython

* test/lisp/progmodes/python-tests.el
(python-shell-completion-at-point-ipython): Fix the python interpreter
is incorrect in the subroutine.
---
 test/lisp/progmodes/python-tests.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/test/lisp/progmodes/python-tests.el b/test/lisp/progmodes/python-tests.el
index e11440cdb5b..e6e6e05bbef 100644
--- a/test/lisp/progmodes/python-tests.el
+++ b/test/lisp/progmodes/python-tests.el
@@ -4896,7 +4896,8 @@ python-shell-completion-at-point-jedi-completer
 
 (ert-deftest python-shell-completion-at-point-ipython ()
   "Check if Python shell completion works for IPython."
-  (let ((python-shell-interpreter "ipython")
+  (let ((python-tests-shell-interpreter "ipython")
+        (python-shell-interpreter "ipython")
         (python-shell-interpreter-args "-i --simple-prompt"))
     (skip-unless
      (and
-- 
2.20.5